﻿@helper CheckboxList(string[] variants)
{
    foreach (var x in variants)
    {
        <br />
        @Html.CheckBox(x, false)
        <label for="@x">@x</label>
    }
}


@using (Html.BeginForm("Index", "SurveyPage", FormMethod.Post))
{
    <br />
    <label>Enter your name: </label>
    @Html.TextBox("Person", null)
    <br />
    <label>Enter your surname:</label>
    @Html.TextBox("Surname", null)
    <br />
    <br />
    <fieldset>
        <legend>Choose your favorite JS framework</legend>

        @Html.RadioButton("framework", "Angular")
        <label for="angular">Angular</label><br />

        @Html.RadioButton("framework", "React")
        <label for="react">React</label><br />

        @Html.RadioButton("framework", "Vue.js")
        <label for="vue">Vue.js</label>
    </fieldset>
    <br />
    <label for="languages">Choose a Language:</label>
    @Html.DropDownList("languages",
    new SelectList(new string[] { "C#", "C++", "Java", "Ruby", "JavaScript", "GO", "F#" }), "Language")
    <br />
    <label>Choose a fruit:</label>
    @CheckboxList(new string[] { "Banana", "Apple", "Melon", "Watermelon", "Orange" })
    <br />
    <input type="submit" value="Submit" class="btn btn-primary" />
}
